﻿@model RecipeSPA.Models.RegisterViewModel
@{
    ViewBag.Title = "Register";
}

@section scripts{
    <script type="text/javascript" src="~/lib/jquery/dist/jquery.min.js"></script>
    <script type="text/javascript" src="~/lib/jquery-validation/dist/jquery.validate.min.js"></script>
    <script type="text/javascript" src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.min.js"></script>
}


<div id="login" class="col-lg-4 col-lg-offset-4">
    <div class="col-lg-8 col-lg-offset-2">
        <div>
            <h3>Register</h3>
        </div>
        <form asp-controller="Auth" asp-action="Register" method="post">            
            <div>
                <div class="form-group">
                    <input asp-for="Email" class="form-control"  placeholder="Email"  />
                    <span asp-validation-for="Email" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input asp-for="Username" class="form-control" placeholder="Username" />
                    <span asp-validation-for="Username" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input asp-for="Password" class="form-control" placeholder="Password" />
                    <span asp-validation-for="Password" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input asp-for="ConfirmPassword" class="form-control" placeholder="ConfirmPassword"/>
                    <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
                </div>

                <div class="form-group">
                    <a href="~/Auth/Login" data-toggle="tooltip" title="Back" class="btn btn-default btn-lg">
                        <i class="fa fa-arrow-left"></i>
                    </a>
                    <button type="submit" data-toggle="tooltip" title="Register" class="btn btn-default btn-lg">
                        <i class="fa fa-sign-in"></i>
                    </button>
                </div>
            </div>
        </form>
    </div>
</div>